Bug 466089 - Update process overwrites customization
Update process overwrites customization
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: tinyerp (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-08 05:23 EDT by Pieter J. Kersten
Modified: 2008-12-17 19:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-17 19:33:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pieter J. Kersten 2008-10-08 05:23:58 EDT
Description of problem:
In tinyerp-server, there is a tree ..addons/custom. This is the place to hack around and customise. The update process overwrites this directory, in effect undoing all customization.

In addition, there is no other way of making changes to reports then modifying them 'in place', which means in the components tree (addons/). The update process overwrites these changes too, in effect undoing all customization.

Version-Release number of selected component (if applicable):
4.2.2-4

How reproducible:
Make some changes in the tree, then update.

Actual results:
all files in the tree get overwritten.

Expected results:
*.rml *.sxw, *.xml *.xsl and the addons/custom tree should be left alone if changes were made.

Additional info:
There is a 4.2.3 version upstream.
Comment 1 Fedora Update System 2008-12-07 10:45:53 EST
tinyerp-4.2.3.4-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tinyerp-4.2.3.4-3.fc9
Comment 2 Fedora Update System 2008-12-07 10:46:55 EST
tinyerp-4.2.3.4-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/tinyerp-4.2.3.4-3.fc10
Comment 3 Fedora Update System 2008-12-08 08:05:51 EST
tinyerp-4.2.3.4-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tinyerp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10955
Comment 4 Fedora Update System 2008-12-08 08:09:37 EST
tinyerp-4.2.3.4-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update tinyerp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10995
Comment 5 Fedora Update System 2008-12-17 19:32:53 EST
tinyerp-4.2.3.4-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-12-17 19:40:51 EST
tinyerp-4.2.3.4-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.